%define		lib	libdshconfig
%define		soname	1
%define		libname	%{lib}%{soname}

Summary:	Library for parsing dsh-style configuration files
Name:		%{libname}
Version:	0.20.10
Release:	3.1
License:	GPL
Group:		Applications/Internet
URL:		http://www.netfort.gr.jp/~dancer/software/downloads/list.cgi
Source:		%{lib}-%{version}.cvs.1.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  glibc-devel libgcc gcc gcc-c++
Obsoletes:	%{lib}
Provides:	%{lib} = %{version}

%package devel
Summary: Library for parsing dsh-style configuration files.
Requires: libdshconfig = %{version}-%{release}
Group: Applications/Internet
Obsoletes:	%{lib}-devel = %{version}
Provides:	%{lib}-devel = %{version}

%description
Library for parsing dsh-style configuration files.
Required by dsh and other applications.

%description devel
Library for parsing dsh-style configuration files.
Required by dsh and other applications.

%prep
%setup -q -n %{lib}-%{version}.cvs.1

%build
%configure
%__make

%install
rm -rf "$RPM_BUILD_ROOT"
%__make DESTDIR="$RPM_BUILD_ROOT" install-strip

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(0755,root,root) %{_libdir}/libdshconfig.so.1.0.0
%attr(0755,root,root) %{_libdir}/libdshconfig.so.1

%files devel
%defattr(-,root,root)
%attr(0644,root,root) %{_libdir}/libdshconfig.a
%attr(0755,root,root) %{_libdir}/libdshconfig.la
%attr(0755,root,root) %{_libdir}/libdshconfig.so
%attr(0644,root,root) %{_includedir}/libdshconfig.h

%changelog
* Fri Jan 09 2009 Carsten Schoene <cs@linux-administrator.com> - 0.20.10
- fix some rpmlint issues

* Mon Jun 25 2007 Carsten Schoene <cs@linux-administrator.com>
- ported this spec file to openSUSE buildservice

* Mon May 10 2004 Erik Wasser <ew@iquer.net>
- Initial spec-file
- Please don't hurt me.

